# -*- coding: utf-8 -*-
"""
Created on Mon May 31 14:26:19 2021

@author: coldatoms

My goal is to create an image that has 5 columns and four rows. Each 
column and row will be labeled

"""

import numpy as np
import matplotlib.pyplot as plt
from scipy.io import loadmat
plt.close('all');



tag = ['cayb','ybca']#,'ca','yb']
Center = [127,120]
Time = [0.2,0.5,1,2,5]

q = 0
for n in range(0,len(tag)):
    Data = loadmat(tag[n]+ 'CameraVoigtAnalysis.mat')
    print( tag[n]+ 'CameraVoigtAnalysis.mat' )
    for i in range (0,5):
        plt.figure(0,figsize=(10,7))
        Image = Data['Image'][:,:,i]
        F0x = Data['F0x'][:,i]-26
        F0y = Data['F0y'][:,i]
        plt.subplot(3,5,i+11,aspect=12)
        plt.axis([-300,300,-25,25])
        plt.yticks(np.array([-20,0,20]))
        plt.xticks(np.array([-200,0,200]))
        
        if i>0:
            plt.yticks(np.array([-20,0,20]),['','',''])
        if q!=0 and q!=6:
            plt.plot(F0x,F0y)
        
        if q == 0:
            plt.ylabel('$u_z(z)$ (m/s)')
            plt.plot(F0x,F0y, label = 'Ca$^+$')
            plt.legend(frameon=False,loc='lower center')
            
        if q == 6:
            plt.plot(F0x,F0y, label = 'Yb$^+$')
            plt.legend(frameon=False,loc='lower center')
                    
        if i == 2 :
            plt.xlabel('$z$ - Position ($\mu$m)')

        plt.subplot(3,5,1+i)
        if n == 0:
            plt.axis('off')
            plt.title(str(Time[i]) + ' $\mu$s')
            if q==0:
                plt.text( -30, 124,'Ca$^+$',horizontalalignment='right',verticalalignment='center')
                plt.text( 210, 225,'$\hat{y}$',color='w',horizontalalignment='right',verticalalignment='center')
                plt.text( 40, 50,'$\hat{z}$',color='w',horizontalalignment='right',verticalalignment='center')
                plt.arrow( 25,225, 150,0,color='w',width=2.5, length_includes_head=True,head_width=15, head_length=25)
                plt.arrow(25,225,0,-150,color='w',width=2.5, length_includes_head=True,head_width=15, head_length=25)
        if n == 1:
            plt.figure(0)
            plt.subplot(3,5,6+i)
            plt.axis('off')
            if q==5:
                plt.text( -30, 124,'Yb$^+$',horizontalalignment='right',verticalalignment='center')
                plt.arrow( 48,180, 200,0,color='w',width=2.5, length_includes_head=True,head_width=15, head_length=25)
                plt.arrow(200,180,-200,0,color='w',width=2.5, length_includes_head=True,head_width=15, head_length=25)
                plt.text(124,200,'6.4 mm', color='w',horizontalalignment='center',verticalalignment='top')
                
        plt.imshow(np.abs(Image))
        q = q+1

plt.subplots_adjust(wspace=0.1, hspace=-0.4)
